#!/bin/sh -e

version=4.19.0-3-itanium
image_path=/boot/vmlinuz-$version

if [ "$1" = abort-upgrade ]; then
    exit 0
fi

if [ "$1" = install ]; then
    # Create a flag file for postinst
    mkdir -p /lib/modules/$version
    touch /lib/modules/$version/.fresh-install
fi

if [ -d /etc/kernel/preinst.d ]; then
    DEB_MAINT_PARAMS="$*" run-parts --report --exit-on-error --arg=$version \
	      --arg=$image_path /etc/kernel/preinst.d
fi

exit 0
